/// <reference types="react" />
import * as React from 'react';
import { GlamorousComponent } from 'glamorous';
import { NotieLevel } from './actions';
export interface NotieContainerProps {
    active: boolean;
    position: 'top' | 'bottom';
    level: NotieLevel;
}
export declare const NotieContainer: GlamorousComponent<React.HTMLProps<HTMLDivElement> & NotieContainerProps, NotieContainerProps>;
export declare const NotieOverlay: GlamorousComponent<React.HTMLProps<HTMLDivElement> & object, {}>;
export declare const NotieMessage: GlamorousComponent<React.HTMLProps<HTMLDivElement> & object, {}>;
export declare const NotieChoices: GlamorousComponent<React.HTMLProps<HTMLDivElement> & object, {}>;
export interface NotieButtonProps {
    level: NotieLevel;
}
export declare const NotieButton: GlamorousComponent<React.HTMLProps<HTMLButtonElement> & NotieButtonProps & object & Pick<{}, never>, NotieButtonProps>;
