/// <reference types="react" />
import * as React from 'react';
import { NotieSettings, NotieCallback } from './actions';
export interface NotieProps {
}
export interface NotieState extends Pick<NotieSettings, 'message' | 'level'> {
    visible: boolean;
    locked: boolean;
    okBtnText: string;
    cancelBtnText: string;
    position: 'top' | 'bottom';
}
export declare class Notie extends React.Component<NotieProps, NotieState> {
    private root;
    private notieRoot;
    private transitionendCallback;
    private timeout;
    private confirmResolve;
    private confirmReject;
    constructor(props: NotieProps);
    componentWillMount(): void;
    componentDidMount(): void;
    shouldComponentUpdate(_: NotieProps, nextState: NotieState): boolean;
    componentWillUnmount(): void;
    showNotie: (event: Event) => void;
    hideNotie: (callback?: NotieCallback | undefined) => void;
    handleYes: () => void;
    handleNo: () => void;
    handleDismiss: () => void;
    rootRef: (c: HTMLDivElement) => HTMLDivElement;
    render(): React.ReactPortal;
}
